<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: slidedefault.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport('joomla.application.component.model');

class Cu3erModelSlideDefault extends JModel {


	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct() {
		parent::__construct();
	}    	

	/**
	 * Slide list getter method
	 *
	 * @access public
	 * @param int	 $id	ID of a table row
	 * @param string $table name of the table
	 * @return array array of slideshow default settings
	 */
	function getData($id = null, $table = 'Cu3erDefault') {

		if ($id == null) $id = JRequest::getVar('cid');
		$row = & JTable::getInstance($table, 'Table');
		$row->load($id);
		return $row;
	}

	/**
	 * Slideshow default settings saver method
	 *
	 * @access	public
	 * @param	boolean	 $preview true if component generates preview (no saving to db)
	 */
	function save($preview = false) {

		$mainframe = &JFactory::getApplication();

		// referencing JTable instance
		$row = & JTable::getInstance('Cu3erDefault', 'Table');

		// getting posted vars		
		$post = JRequest::get('post');
		$slideshow_id = JRequest::getInt('slideshow_id');
	
		// load table entry		
		$row->load($slideshow_id);

		// converting posted array values to string (eg checkbox)		
		foreach ($post as $name => $value) {
			if (is_array($value)) {
				$post[$name] = implode(",", $value);
			}
		}

		// if task is not preview		
		if (!$preview) {

			require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers'.DS.'slide_fields.php');

			foreach ($special_fields as $field => $attr) {
				// handling unchecked checkbox values for appropriate database storage
				if ($attr['type'] == 'checkbox' && !JRequest::getVar($field)) {
					$row->{$field} = (isset($attr['uncheck_value']))?$attr['uncheck_value']:0;		
				}
			}

			// binding, checking and storing slide default data	
			if (!$row->bind($post) || !$row->check() || !$row->store()) {
				$mainframe->redirect('index.php?option=com_cu3er&view=slidedefault&cid='.$row->id, $row->getError(), 'error');
			}

		        $row->checkin();

		}

		// cleaning up cache
	        $cache = &JFactory::getCache('com_cu3er');
	        $cache->clean();

		switch (JRequest::getCmd('task')) {
		        case 'apply':
        		        $msg = JText::_('COM_CU3ER_CHANGES_TO_SLIDE_DEFAULTS_SAVED');
        		        $link = 'index.php?option=com_cu3er&view=slidedefault&cid='.$slideshow_id;
        		        break;
		        case 'save':
		        default:
                		$msg = JText::_('COM_CU3ER_SLIDE_DEFAULTS_SAVED');
		                $link = 'index.php?option=com_cu3er&view=slides&cid='.$slideshow_id;
		                break;
	        }

		require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'lib'.DS.'cu3erfile.class.php');

		// if task is preview
		if ($preview) {

			// array of (slide default's) preview parameters 			
			$prev_array = array(
				'name' => 'default', 
				'params' => $post,
			);
			
			// calling CU3ER-preview.xml generator method
			if (!Cu3erFile::generateXMLFile($slideshow_id, null, $prev_array)) {
				$msg = 'COM_CU3ER_UNABLE_TO_WRITE_CU3ER_PREVIEW.XML_FILE';
			}

			echo $msg;

		} else { 

			// calling CU3ER-generated.xml generator method
			if (!Cu3erFile::generateXMLFile($slideshow_id)) {
				$msg = 'COM_CU3ER_UNABLE_TO_WRITE_CU3ER_GENERATED.XML_FILE';		
			} 
		
			$mainframe->redirect($link, $msg);				
		}
		
	}
	
	function hasJavaScript($path) {
		$rootDir = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
		$tempPath = explode("/", $path);
		$delFlag = true;
		for($i =0; $i<sizeof($tempPath); $i++) {
			if($delFlag) {
				if($tempPath[$i] == 'images') {
					$delFlag = false;
				} else {
					unset($tempPath[$i]);
				}
			}
		}
		$realPath = $rootDir . '/' . implode('/', $tempPath);
		return is_dir($realPath . '/fallback');
	}

}
