<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: view.html.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');
class Cu3erViewSlides extends JView {
	
	function display($tpl = null) {
		$mainframe = &JFactory::getApplication();
		$option = JRequest::getCmd('option');
		$view = JRequest::getCmd('view');
		
		// setting the number and the offset of visible rows in the slides list
		$limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart = $mainframe->getUserStateFromRequest($option.$view.'.limitstart', 'limitstart', 0, 'int');

		// setting filter field and filter direction of slides list
		$filter_order = $mainframe->getUserStateFromRequest($option.$view.'filter_order', 'filter_order', 'ordering', 'cmd');
		$filter_order_Dir = $mainframe->getUserStateFromRequest($option.$view.'filter_order_Dir', 'filter_order_Dir', '', 'word');
        	
		$model = & $this->getModel();

		// getting slide list		
		$slides = $model->getData();

		$smodel = & JModel::getInstance('Slideshow','Cu3erModel');
		
		$slideshow_id = JRequest::getInt('cid');
		
		// getting slideshow data (id, width, height)
		$slideshow = $smodel->getData($slideshow_id);	

		// getting number of slides
		$total = $model->getTotal();

		// duplicated slide IDs
		//$dupids = JRequest::getVar('dupid', array (0), 'get', 'array');
		$dupids = $_GET['dupid'];
		// assigning variables to the template (tmpl/default.php)
		$this->assignRef('rows', $slides);
		$this->assignRef('total', $total);
		$this->assignRef('dupids', $dupids);

		$lists = array();

		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		// assigning slides list array to the template (tmpl/default.php)
		$this->assignRef('lists', $lists);

		jimport('joomla.html.pagination');

		// generating and assigning paginator
		$pageNav = new JPagination($total, $limitstart, $limit);
		$this->assignRef('page', $pageNav);
		$this->assignRef('slideshow_id', $slideshow_id);

		// setting up toolbar buttons (at the right)
		JToolBarHelper::title('CU3ER :: Slides &amp; Transitions', 'generic.png');
		JToolBarHelper::addNew();
		JToolBarHelper::custom('duplicate','copy.png','copy_f2.png', JText::_('Duplicate'), false);
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList(JText::_('COM_CU3ER_ARE_YOU_SURE_YOU_WANT_TO_DELETE_SELECTED_SLIDES'), 'remove', JText::_('Delete'));

		// setting up preview button and SqueezeBox popup for displaying CU3ER (flash & js) preview
		$bar=& JToolBar::getInstance('toolbar');
		$bar->appendButton('Popup', 'preview', JText::_('Preview'), '../index.php?option=com_cu3er&view=slideshow&tmpl=component&preview=1&cid='.$slideshow_id, $slideshow->width, $slideshow->height);
		if($model->hasJavaScript($slideshow->images_folder)) {
			$bar->appendButton('Popup', 'preview', JText::_('COM_CU3ER_PREVIEW_JS'), '../index.php?option=com_cu3er&view=slideshow&tmpl=component&preview=2&cid='.$slideshow_id, $slideshow->width, $slideshow->height);
		}

		// setting up toolbar buttons (at the right)
		JToolBarHelper::custom('slidedefault', 'default.png','default_f2.png', JText::_('COM_CU3ER_SLIDE_DEFAULTS'), false);
		JToolBarHelper::custom('slideshowSettings', 'config.png','config_f2.png', JText::_('COM_CU3ER_SLIDESHOW_SETTINGS'), false);

		JToolBarHelper::cancel();		

		// setting up submenu
		JSubMenuHelper::addEntry(JText::_('Slideshows'), 'index.php?option=com_cu3er&view=slideshows');		
		JSubMenuHelper::addEntry(JText::_('COM_CU3ER_SLIDESHOW_SETTINGS'), 'index.php?option=com_cu3er&view=slideshow&cid=' . $slideshow_id);
		JSubMenuHelper::addEntry(JText::_('COM_CU3ER_SLIDE_DEFAULTS'), 'index.php?option=com_cu3er&view=slidedefault&cid=' . $slideshow_id);

		parent::display($tpl);
		
    	}
}
?>